Bug 1278423 - gi.overrides.BlockDev.LVMError: Process reported exit code 1280: device-mapper: reload ioctl on (253:14) failed: Invalid argument
gi.overrides.BlockDev.LVMError: Process reported exit code 1280: device-map...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:0a8ead5bb98fef70076cd517a7d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 07:51 EST by kakoskin
Modified: 2016-12-20 10:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.21 MB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: anaconda.log (21.27 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: environ (599 bytes, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: journalctl (436.44 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: lsblk_output (7.19 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: os_info (451 bytes, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: program.log (96.64 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: storage.log (596.06 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details
File: ifcfg.log (2.58 KB, text/plain)
2015-11-05 07:52 EST, kakoskin
no flags Details

  None (edit)
Description kakoskin 2015-11-05 07:51:56 EST
Description of problem:
I was unlocking previously encrypted disks in custom partitioning. I got crash announcement when I was unlocking the third, and final, one. 

Encrypted disks contained an LVM volume group containing two mirrored volumes. The volumes were created with --nosync option. At that point Anaconda was displaying only volume group but no volumes.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 700, in _setup
    blockdev.lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 386, in setup
    self._setup(orig=orig)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1006, in addLV
    lv_device.setup()
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1053, in handleVgLvs
    new_lv = addLV(lv)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1135, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1476, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 764, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2726, in on_unlock_clicked
    self._storage_playground.devicetree.populate()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/utils.py", line 269, in _run_once_one_arg
    self._func(*args, **kwargs)
gi.overrides.BlockDev.LVMError: Process reported exit code 1280:   device-mapper: reload ioctl on (253:14) failed: Invalid argument


Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23-6 ro rd.live.image quiet rhgb nomodeset
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: libblockdev-1.1-2.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch, anaconda-gui-23.19.10-1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 kakoskin 2015-11-05 07:52:08 EST
Created attachment 1090053 [details]
File: anaconda-tb
Comment 2 kakoskin 2015-11-05 07:52:10 EST
Created attachment 1090054 [details]
File: anaconda.log
Comment 3 kakoskin 2015-11-05 07:52:12 EST
Created attachment 1090055 [details]
File: environ
Comment 4 kakoskin 2015-11-05 07:52:16 EST
Created attachment 1090056 [details]
File: journalctl
Comment 5 kakoskin 2015-11-05 07:52:18 EST
Created attachment 1090057 [details]
File: lsblk_output
Comment 6 kakoskin 2015-11-05 07:52:20 EST
Created attachment 1090058 [details]
File: nmcli_dev_list
Comment 7 kakoskin 2015-11-05 07:52:22 EST
Created attachment 1090059 [details]
File: os_info
Comment 8 kakoskin 2015-11-05 07:52:25 EST
Created attachment 1090060 [details]
File: program.log
Comment 9 kakoskin 2015-11-05 07:52:35 EST
Created attachment 1090061 [details]
File: storage.log
Comment 10 kakoskin 2015-11-05 07:52:36 EST
Created attachment 1090062 [details]
File: ifcfg.log
Comment 11 kakoskin 2015-11-05 08:08:49 EST
Note that install was started using RC6 KDE Live image.
Comment 12 Fedora End Of Life 2016-11-24 08:06:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:24:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.